Bug 1002230 - [abrt] BUG: unable to handle kernel NULL pointer dereference at (null)
[abrt] BUG: unable to handle kernel NULL pointer dereference at (null)
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: X/OpenGL Maintenance List
Fedora Extras Quality Assurance
abrt_hash:f7181896a82d0db57c850d5f2e5...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-28 12:47 EDT by Michel
Modified: 2015-02-17 11:57 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 11:57:43 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: dmesg (72.95 KB, text/plain)
2013-08-28 12:48 EDT, Michel
no flags Details

  None (edit)
Description Michel 2013-08-28 12:47:54 EDT
Description of problem:
This happens when I shut down the computer after disabling my discrete graphic card (ATI) using vgaswitcheroo.

My computer is a HP tm2-1050ef laptop.

Additional info:
reporter:       libreport-2.1.6
BUG: unable to handle kernel NULL pointer dereference at           (null)
IP: [<ffffffffa00db525>] r600_pcie_gart_tlb_flush+0xf5/0x110 [radeon]
PGD 1372e9067 PUD 137302067 PMD 0 
Oops: 0000 [#1] SMP 
Modules linked in: ip6table_nat nf_nat_ipv6 ip6table_mangle ip6t_REJECT nf_conntrack_ipv6 nf_defrag_ipv6 iptable_nat nf_nat_ipv4 nf_nat iptable_mangle nf_conntrack_ipv4 nf_defrag_ipv4 xt_conntrack nf_conntrack ebtable_filter ebtables ip6table_filter rfcomm ip6_tables bnep arc4 iwldvm mac80211 uvcvideo videobuf2_vmalloc videobuf2_memops videobuf2_core videodev iTCO_wdt iTCO_vendor_support hp_wmi iwlwifi sparse_keymap btusb cfg80211 bluetooth acpi_cpufreq mperf snd_hda_codec_hdmi coretemp kvm_intel kvm rfkill snd_hda_codec_idt wacom snd_hda_intel snd_hda_codec snd_hwdep snd_seq snd_seq_device snd_pcm snd_page_alloc snd_timer snd microcode joydev media serio_raw i2c_i801 soundcore hp_accel r8169 mii lpc_ich lis3lv02d mfd_core input_polldev wmi uinput ums_realtek usb_storage i915 radeon i2c_algo_bit drm_kms_helper ttm drm i2c_core video
CPU: 1 PID: 171 Comm: plymouthd Not tainted 3.10.7-200.fc19.x86_64 #1
Hardware name: Hewlett-Packard HP TouchSmart tm2 Notebook PC/3661, BIOS F.0B 11/22/2010
task: ffff880137606ac0 ti: ffff8801372f6000 task.ti: ffff8801372f6000
RIP: 0010:[<ffffffffa00db525>]  [<ffffffffa00db525>] r600_pcie_gart_tlb_flush+0xf5/0x110 [radeon]
RSP: 0018:ffff8801372f7c28  EFLAGS: 00010282
RAX: ffffc900047c2f34 RBX: 0000000000000000 RCX: 0000000000000000
RDX: 0000000000000000 RSI: 0000000000002f34 RDI: ffff880138536000
RBP: ffff8801372f7c38 R08: ffff8801373b6d18 R09: 0000000000000001
R10: ffffffffa00499a0 R11: ffff8801372f7e10 R12: ffff880138536000
R13: 000000000000060a R14: 000000000000060a R15: ffff880138536a60
FS:  00007f31331d8740(0000) GS:ffff88013fc80000(0000) knlGS:0000000000000000
CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
CR2: 0000000000000000 CR3: 0000000137352000 CR4: 00000000000407e0
DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000
DR3: 0000000000000000 DR6: 00000000ffff0ff0 DR7: 0000000000000400
Stack:
 ffff880138536000 000000000000060a ffff8801372f7c68 ffffffffa00b0697
 ffff880124ef6680 ffff880136ea3240 ffff8801373b6c48 ffff8801373b6c80
 ffff8801372f7c78 ffffffffa00adcea ffff8801372f7c90 ffffffffa0080fa7
Call Trace:
 [<ffffffffa00b0697>] radeon_gart_unbind+0xa7/0xe0 [radeon]
 [<ffffffffa00adcea>] radeon_ttm_backend_unbind+0x1a/0x20 [radeon]
 [<ffffffffa0080fa7>] ttm_tt_unbind+0x27/0x40 [ttm]
 [<ffffffffa0081833>] ttm_bo_cleanup_memtype_use+0x33/0xa0 [ttm]
 [<ffffffffa0082132>] ttm_bo_release+0x202/0x260 [ttm]
 [<ffffffffa00821b9>] ttm_bo_unref+0x29/0x30 [ttm]
 [<ffffffffa00af542>] radeon_bo_unref+0x42/0x70 [radeon]
 [<ffffffffa00c0e89>] radeon_gem_object_free+0x39/0x40 [radeon]
 [<ffffffffa002d85a>] drm_gem_object_free+0x2a/0x30 [drm]
 [<ffffffffa002dc6e>] drm_gem_handle_delete+0xfe/0x150 [drm]
 [<ffffffffa00c1c90>] radeon_mode_dumb_destroy+0x10/0x20 [radeon]
 [<ffffffffa003d699>] drm_mode_destroy_dumb_ioctl+0x29/0x40 [drm]
 [<ffffffffa002c2c2>] drm_ioctl+0x532/0x670 [drm]
 [<ffffffff8115bce0>] ? unmap_region+0xd0/0x110
 [<ffffffff8115bd83>] ? remove_vma+0x63/0x70
 [<ffffffff811a96d5>] do_vfs_ioctl+0x305/0x520
 [<ffffffff8128ae2e>] ? file_has_perm+0x8e/0xa0
 [<ffffffff811a9971>] SyS_ioctl+0x81/0xa0
 [<ffffffff81647719>] system_call_fastpath+0x16/0x1b
Code: 00 c1 e8 04 83 f8 02 74 29 85 c0 74 c9 5b 41 5c 5d c3 0f 1f 40 00 31 c9 31 d2 be 34 2f 00 00 48 8b 9f f0 03 00 00 e8 8b ec fe ff <8b> 03 e9 42 ff ff ff 48 c7 c7 00 92 13 a0 31 c0 e8 44 99 55 e1 
RIP  [<ffffffffa00db525>] r600_pcie_gart_tlb_flush+0xf5/0x110 [radeon]
 RSP <ffff8801372f7c28>
CR2: 0000000000000000
Comment 1 Michel 2013-08-28 12:48:01 EDT
Created attachment 791462 [details]
File: dmesg
Comment 2 Michel 2013-09-01 17:11:48 EDT
Its happening when I log out too so I assume when the X server is restarted
Comment 3 Fedora End Of Life 2015-01-09 14:37:52 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 4 Fedora End Of Life 2015-02-17 11:57:43 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.